
%global meadversion 1.2.1
%global namedversion 1.2.1.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}wildfly-common}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.2.1.Final-redhat-00001

Name:           %{?scl_prefix}wildfly-common
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        WildFly Common
Group:          Development/Java

%if %with mead
Source100: wildfly-common-1.2.1.Final-redhat-00001-scm-sources.zip
Source102: wildfly-common-1.2.1.Final-redhat-00001-sources.jar
Source103: wildfly-common-1.2.1.Final-redhat-00001-javadoc.jar
Source104: wildfly-common-1.2.1.Final-redhat-00001.pom
Source105: wildfly-common-1.2.1.Final-redhat-00001-project-sources.tar.gz
Source106: wildfly-common-1.2.1.Final-redhat-00001.jar
%endif

License:        ASL 2.0
URL:            https://github.com/wildfly-security/wildfly-common.git
Requires:       %{?scl_prefix_eap}jboss-logging >= 0:3.1.4
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for wildfly-common
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n wildfly-common -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/wildfly-common-%{namedversion}.jar %{buildroot}%{_javadir}/wildfly-common-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wildfly-common-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wildfly-common-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wildfly-common-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wildfly-common-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/wildfly-common-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/wildfly-common-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/wildfly-common-%{namedversion} -x META-INF/\*
%{__ln_s} wildfly-common-%{namedversion} %{buildroot}%{_javadocdir}/wildfly-common
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/wildfly-common-%{namedversion}.jar
%{_javadir}/wildfly-common.jar
%if %with javadoc
%{_javadir}/wildfly-common-%{namedversion}-javadoc.jar
%{_javadir}/wildfly-common-javadoc.jar
%endif
%{_javadir}/wildfly-common-%{namedversion}-sources.jar
%{_javadir}/wildfly-common-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/wildfly-common-%{namedversion}
%{_javadocdir}/wildfly-common
%endif

%changelog
* Thu Dec 06 2018 Aurel Pintea <apintea@redhat.com> - 1.2.1-1.Final_redhat_00001.1
- upgrade to 1.2.1.Final-redhat-00001

* Sun Aug 20 2017 Petr Sakar <psakar@redhat.com> - 1.2.0-10.Final_redhat_1.1
- upgrade to 1.2.0.Final-redhat-1

* Sat Jun 24 2017 Petr Sakar <psakar@redhat.com> - 1.2.0-9.CR1_redhat_1.1
- upgrade to 1.2.0.CR1-redhat-1

* Tue Jun 06 2017 Petr Sakar <psakar@redhat.com> - 1.2.0-8.Beta11_redhat_1.1
- upgrade to 1.2.0.Beta11-redhat-1

* Mon Apr 24 2017 Martin Minar <mminar@redhat.com> - 1.2.0-7.Beta10_redhat_1.1
- update version to 1.2.0.Beta10

* Mon Apr 03 2017 Petr Sakar <psakar@redhat.com> - 1.2.0-6.Beta9_redhat_1.1
- upgrade to 1.0.0.Beta10-redhat-1

* Tue Mar 14 2017 Petr Sakar <psakar@redhat.com> - 1.2.0-5.Beta8_redhat_1.1
- upgrade to 1.2.0.Beta8-redhat-1

* Tue Feb 28 2017 Martin Minar <mminar@redhat.com> - 1.2.0-4.Beta6_redhat_1.1
- update to version 1.2.0.Beta6

* Wed Feb 15 2017 Petr Sakar <psakar@redhat.com> - 1.2.0-3.Beta5_redhat_1.1
- upgrade to 1.2.0.Beta5-redhat-1

* Tue Jan 03 2017 Petr Sakar <psakar@redhat.com> - 1.2.0-2.Beta3_redhat_1.1
- upgrade to 1.2.0.Beta3-redhat-1

* Mon Aug 15 2016 David Walluck <dwalluck@redhat.com> - 1.2.0-1.Beta1_redhat_1.1
- 1.2.0.Beta1

* Wed Oct 21 2015 Fernando Nasser <fnasser@redhat.com> - 1.1.0-1.Final_redhat_1.1
- 1.1.0.Final

* Tue Aug 18 2015 Fernando Nasser <fnasser@redhat.com> - 1.0.0-1.Alpha3_redhat_1.1
- Create wrapper RPMs

* Tue Aug 18 2015 Fernando Nasser <fnasser@redhat.com> - 1.0.0-1.Alpha3_redhat_1.1
- Create wrapper RPMs

* Tue Aug 18 2015 Fernando Nasser <fnasser@redhat.com> - 1.0.0-1.Alpha3_redhat_1.1
- Create wrapper RPMs

* Thu Jul 30 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-1.Alpha3_redhat_1.1
- release

